#ifndef __BA4200_H
#define __BA4200_H  

#define TFIS 'F'
#define TGIU 'G'

#define MSKF 0 //    pos msk fisica in in arr_mask
#define MSKG 1 //    pos msk giuridica in arr_mask

//      tabelle
#define N_CODTAB        "CODTAB"
#define N_CONTO         "S4"
#define N_COMUNE        "S6"
#define N_NAZIONALITA   "S2"

//      comuni
#define N_STATO   "STATO"
#define N_COM     "COM"
#define N_IMPDIR1 "UFFIIDD1"
#define N_IMPDIR2 "UFFIIDD2"
#define N_IMPDIR3 "UFFIIDD3"
#define N_DEN_COM "DENCOM"
#define N_PROV    "PROVCOM"
#define N_CAP     "CAPCOM"

//      anagr
#define N_TIPOA     "TIPOA"
#define N_CODANAGR  "CODANAGR"
#define N_COFI      "COFI"
#define N_STATOPAIV "STATOPAIV"
#define N_PAIV      "PAIV"
#define N_DATAAGG   "DATAAGG"
#define N_RAGSOC    "RAGSOC"
#define N_STATORES  "STATORES"
#define N_COMRES    "COMRES"
#define N_INDRES    "INDRES"
#define N_CIVRES    "CIVRES"
#define N_CAPRES    "CAPRES"
#define N_STATORF   "STATORF"
#define N_COMRF     "COMRF"
#define N_INDRF     "INDRF"
#define N_CIVRF     "CIVRF"
#define N_CAPRF     "CAPRF"
#define N_PTELRF    "PTELRF"
#define N_TELRF     "TELRF"
#define N_PFAXRF    "PFAXRF"
#define N_FAXRF     "FAXRF"
#define N_PTLEXRF   "PTLEXRF"
#define N_TLEXRF    "TLEXRFX"
#define N_STATOCORR "STATOCORR"
#define N_COMCORR   "COMCORR"
#define N_INDCORR   "INDCORR"
#define N_CIVCORR   "CIVCORR"
#define N_CAPCORR   "CAPCORR"
#define N_CODSTAT1  "CODSTAT1"
#define N_CODSTAT2  "CODSTAT2"
#define N_CODSTAT3  "CODSTAT3"
#define N_CODCONTR  "CODCONTR"
#define N_EVECC     "EVECC"
#define N_SOGGNRES  "SOGGNRES"
#define N_RESZTERR  "RESZTERR"
#define N_VARSLORES "VARSLORES"
#define N_DVARSLORES "DVARSLORES"
#define N_RFDIVERSA "RFDIVERSA"
#define N_UFFIIDD   "UFFIIDD"


//      anagiu
#define N_PERRIF                                "PERRIF"
#define N_STATOSOC                      "STATOSOC"
#define N_SITSOC                                "SITSOC"
#define N_NAZIONI                               "NAZIONI"
#define N_VALNOM                                "VALNOM"
#define N_OGGSOC                                "OGGSOC"
#define N_NOTE1                                 "NOTE1"
#define N_NOTE2                                 "NOTE2"
#define N_NOTE3                                 "NOTE3"
#define N_NOTE4                                 "NOTE4"
#define N_NOTE5                                 "NOTE5"
#define N_CAPSOC                                "CAPSOC"
#define N_CAPVER                                "CAPVER"
#define N_FATT                                  "FATT"
#define N_DATAOMOL                      "DATAOMOL"
#define N_ESTROMOL                      "ESTROMOL"
#define N_DATAISCRIZ            "DATAISCRIZ"
#define N_DATACOST                      "DATACOST"
#define N_DATASCAD                      "DATASCAD"
#define N_NRSC1                                 "NRSC1"
#define N_NRSC2                                 "NRSC2"
#define N_NRSC3                                 "NRSC3"
#define N_NRSC4                                 "NRSC4"
#define N_DATATAPPBI            "DATATAPPBI"
#define N_DATACHIUS                     "DATACHIUS"
#define N_DATAAPPBIL            "DATAAPPBIL"
#define N_DATASORAMM            "DATASORAMM"
#define N_DATASCSIND            "DATASCSIND"
#define N_VARDEN                                "VARDEN"
#define N_VARRF                                 "VARRF"
#define N_DATAVARRF                     "DATAVARRF"
#define N_SIGLA                                 "SIGLA"
#define N_NATGIU                                "NATGIU"
#define N_ENTENCOMM                     "ENTENCOMM"

//      anafis
#define N_SESSO                                 "SESSO"
#define N_DATANASC                      "DATANASC"
#define N_STATONASC                     "STATONASC"
#define N_COMNASC                               "COMNASC"
#define N_STATCIV                               "STATCIV"
#define N_DVARSCIV                      "DVARSCIV"
#define N_TITSTU                                "TITSTU"
#define N_SAUB                                  "SAUB"
#define N_CODCONIUGE            "CODCONIUGE"
#define N_CPARTRF                               "CPARTRF"
#define N_ISCRCAF                               "ISCRCAF"
#define N_NAZION                                "NAZION"        


#define CHK_AF3_SAUB 101
#define CHK_AF4_RESZTERR 102
#define CHK_AF4_RFDIVERSA 103
#define CHK_AF4_SOGGNRES 104
#define CHK_AF4_VARSLORES 105
#define CHK_AFIS_SAUB 106
#define CHK_AG1_ENTENCOMM 108
#define CHK_AG5_RESZTERR 109
#define CHK_AG5_RFDSL 110
#define CHK_AG5_VARSLORES 111
#define CHK_AGIU2_VARDEN 112
#define CHK_AGIU2_VARRF 113
#define CHK_AGIU_ENTENCOMM 114
#define CHK_AGIU_VARDEN 115
#define CHK_AGIU_VARRF 116
#define CHK_ANAG2_RESZTERR 118
#define CHK_ANAG2_RFDIVERSA 119
#define CHK_ANAG2_SOGGNRES 120
#define CHK_ANAG2_VARSLORES 121
#define DLG_AG5_DVARSLOR 122
#define FLD_AF1_CIVRES 123
#define FLD_AF1_CODCONIUGE 124
#define FLD_AF1_CODCONIUGE_ANAGR_RAGSOC 125
#define FLD_AF1_COFI 126
#define FLD_AF1_COMNASC 127
#define FLD_AF1_COMRES 128
#define FLD_AF1_COMRES_COMUNI_DENCOM 129
#define FLD_AF1_COMRES_COMUNI_PROVCOM 130
#define FLD_AF1_DATANASC 131
#define FLD_AF1_INDRES 132
#define FLD_AF1_PAIV 133
#define FLD_AF1_STATONASC 134
#define FLD_AF1_STATONASC_TABSTE_S0 135
#define FLD_AF1_STATONAZ 136
#define FLD_AF1_STATOPAIV 137
#define FLD_AF1_STATORES 138
#define FLD_AF2_CAPCORR 139
#define FLD_AF2_CAPRF 140
#define FLD_AF2_CIVCORR 141
#define FLD_AF2_CIVRF 142
#define FLD_AF2_COMCORR_COMUNI_PROVCOM 143
#define FLD_AF2_COMCORR 144
#define FLD_AF2_COMCORR_COMUNI_DENCOM 145
#define FLD_AF2_COMRES 146
#define FLD_AF2_COMRF 147
#define FLD_AF2_COMRF_COMUNI_DENCOM 148
#define FLD_AF2_COMRF_COMUNI_PROVCOM 149
#define FLD_AF2_COM_COMUNI_PROVCOM 150
#define FLD_AF2_FAXRF 151
#define FLD_AF2_INDCORR 152
#define FLD_AF2_INDRF 153
#define FLD_AF2_PFAXRF 154
#define FLD_AF2_PTELRF 155
#define FLD_AF2_PTLEXRF 156
#define FLD_AF2_STATOCORR 157
#define FLD_AF2_STATORF 158
#define FLD_AF2_TELRF 159
#define FLD_AF2_TLEXRF 160
#define FLD_AF3_DVARSCIV 161
#define FLD_AF3_ISCRCAF 162
#define FLD_AF4_DVARSLORES 164
#define FLD_AF4_RFDIVERSA 165
#define F_UFFIIDD 166
#define F_DENUFFIIDD 168
#define FLD_AF5_CODSTAT1 169
#define FLD_AF5_CODSTAT1_TABSTT_S0 170
#define FLD_AF5_CODSTAT2 171
#define FLD_AF5_CODSTAT2_TABSTT_S0 172
#define FLD_AF5_CODSTAT3 173
#define FLD_AF5_CODSTAT3_TABSTT_S0 174
#define FLD_AF5_NOTE1 175
#define FLD_AF5_NOTE2 176
#define FLD_AF5_NOTE3 177
#define FLD_AF5_NOTE4 178
#define FLD_AF5_NOTE5 179
#define FLD_AFIS_AFIS_CONIUGE_RAGSOC 180
#define FLD_CODANAGR 181
#define FLD_AFIS_CODCONIUGE 182
#define FLD_AFIS_COMNASC 183
#define FLD_AFIS_COMNASC_ 184
#define FLD_AFIS_COMNASC_COMUNI_DENCOM 185
#define FLD_AFIS_COMNASC_COMUNI_PROV 186
#define FLD_AFIS_CPARTRF 187
#define FLD_AFIS_DATANASC 189
#define FLD_AFIS_ISCRCAF 191
#define FLD_AFIS_RAGSOC 193
#define FLD_AFIS_RAGSOC2 194
#define FLD_AFIS_STATCIV 195
#define FLD_AFIS_STATONASC 196
#define FLD_AFIS_STATONAZ 197
#define FLD_AFIS_TITSTU 198
#define FLD_AG1_CAPRF 199
#define FLD_AG1_CAPSOC 200
#define FLD_AG1_CAPVER 201
#define FLD_AG1_CIVRF 202
#define FLD_AG1_COFI 204
#define FLD_AG1_COMRES_COMUNI_DENCOM 205
#define FLD_AG1_COMRF 206
#define FLD_AG1_COMRF_COMUNI_PROVCOM 207
#define FLD_AG1_FATT 208
#define FLD_AG1_INDRES 209
#define FLD_AG1_INDRF 210
#define FLD_AG1_NAZIONI 211
#define FLD_AG1_OGGSOC 212
#define FLD_AG1_PAIV 213
#define FLD_AG1_PERRIF 214
#define FLD_AG1_RAGSOC 215
#define FLD_AG1_SIGLA 216
#define FLD_AG1_STATOPAIV 217
#define FLD_AG1_STATORF 218
#define FLD_AG1_TIPOA 219
#define FLD_AG1_VALNOM 220
#define FLD_AG2_CAPCORR 221
#define FLD_AG2_CAPRES 222
#define FLD_AG2_CIVCORR 223
#define FLD_AG2_CIVRES 224
#define FLD_AG2_COMCORR 225
#define FLD_AG2_COMCORR_COMUNI_DENCOM 226
#define FLD_AG2_COMCORR_COMUNI_PROVCOM 227
#define FLD_AG2_COMRES 228
#define FLD_AG2_COMRES_COMUNI_DENCOM 229
#define FLD_AG2_COMRES_COMUNI_PROVCOM 230
#define FLD_AG2_FAXRF 231
#define FLD_AG2_INDCORR 232
#define FLD_AG2_INDRES 233
#define FLD_AG2_PFAXRF 234
#define FLD_AG2_PTELRF 235
#define FLD_AG2_PTLEXRF 236
#define FLD_AG2_STATOCORR 237
#define FLD_AG2_STATORES 238
#define FLD_AG2_TELRF 239
#define FLD_AG2_TLEXRF 240
#define FLD_AG3_DATAAPPBIL 241
#define FLD_AG3_DATACHIUS 242
#define FLD_AG3_DATACOST 243
#define FLD_AG3_DATAISCRIZ 244
#define FLD_AG3_DATAOMOL 245
#define FLD_AG3_DATASCAD 246
#define FLD_AG3_DATASCSIND 247
#define FLD_AG3_DATASORAMM 248
#define FLD_AG3_DATATAPPBI 249
#define FLD_AG3_DATAVARRF 250
#define FLD_AG4_CAPSOC 251
#define FLD_AG4_CAPVER 252
#define FLD_AG4_ESTROMOL 253
#define FLD_AG4_FATT 254
#define FLD_AG4_NAZIONI 255
#define FLD_AG4_VALNOM 256
#define FLD_AG6_CODSTAT1 261
#define FLD_AG6_CODSTAT1_TABSTT_S0 262
#define FLD_AG6_CODSTAT2 263
#define FLD_AG6_CODSTAT2_TABSTT_S0 264
#define FLD_AG6_CODSTAT3 265
#define FLD_AG6_CODSTAT3_TABSTT_S0 266
#define FLD_AG6_NOTE1 267
#define FLD_AG6_NOTE2 268
#define FLD_AG6_NOTE3 269
#define FLD_AG6_NOTE4 270
#define FLD_AG6_NOTE5 271
#define FLD_AGIU2_DATAAPPBIL 272
#define FLD_AGIU2_DATACHIUS 273
#define FLD_AGIU2_DATACOST 274
#define FLD_AGIU2_DATAISCRIZ 275
#define FLD_AGIU2_DATASCSIND 276
#define FLD_AGIU2_DATASORAMM 277
#define FLD_AGIU2_DATATAPPBI 278
#define FLD_AGIU2_DATAVARRF 279
#define FLD_AGIU2_STATOSOC 280
#define FLD_AGIU_CAPSOC 281
#define FLD_AGIU_CAPVER 282
#define FLD_AGIU_DATAAPPBIL 284
#define FLD_AGIU_DATACHIUS 285
#define FLD_AGIU_DATACOST 286
#define FLD_AGIU_DATAISCRIZ 287
#define FLD_AGIU_DATASCAD 288
#define FLD_AGIU_DATASCSIND 289
#define FLD_AGIU_DATASORAMM 290
#define FLD_AGIU_DATATAPPBI 291
#define FLD_AGIU_DATAVARRF 292
#define FLD_AGIU_ESTROMOL 293
#define FLD_AGIU_FATT 294
#define FLD_AGIU_NAZIONI 295
#define FLD_AGIU_NOTE1 296
#define FLD_AGIU_NOTE2 297
#define FLD_AGIU_NOTE3 298
#define FLD_AGIU_NOTE4 299
#define FLD_AGIU_NOTE5 300
#define FLD_AGIU_OGGSOC 301
#define FLD_AGIU_PERRIF 302
#define FLD_AGIU_SIGLA 303
#define FLD_AGIU_STATOSOC 304
#define FLD_AGIU_VALNOM 305
#define FLD_ANAG2_CAPCORR 306
#define FLD_ANAG2_CIVCORR 307
#define FLD_ANAG2_CODSTAT1 309
#define FLD_ANAG2_CODSTAT2 310
#define FLD_ANAG2_CODSTAT3 311
#define FLD_ANAG2_COMCORR 312
#define FLD_ANAG2_COMCORR_COMUNI_DESCR 313
#define FLD_ANAG2_DVARSLORES 314
#define FLD_ANAG2_INDCORR 315
#define FLD_ANAG2_RESZTERR 316
#define FLD_ANAG2_STATOCORR 317
#define FLD_ANAG_CAPCORR 319
#define FLD_ANAG_CAPRES 320
#define FLD_ANAG_CAPRF 321
#define FLD_ANAG_CIVRES 322
#define FLD_ANAG_CIVRF 323
#define FLD_ANAG_COFI 325
#define FLD_ANAG_COMRES 326
#define FLD_ANAG_COMRF 328
#define FLD_ANAG_DATAAGG 330
#define FLD_ANAG_DVARSCIV 331
#define FLD_ANAG_FAXRF 332
#define FLD_ANAG_INDRES 333
#define FLD_ANAG_INDRF 334
#define FLD_ANAG_PAIV 335
#define FLD_ANAG_PFAXRF 336
#define FLD_ANAG_PTELRF 337
#define FLD_ANAG_PTLEXRF 338
#define FLD_ANAG_RAGSOC 339
#define FLD_ANAG_RAGSOC1 340
#define FLD_ANAG_RAGSOC2 341
#define FLD_ANAG_STATOCORR 342
#define FLD_ANAG_STATOPAIV 343
#define FLD_ANAG_STATORF 344
#define FLD_ANAG_TELRF 345
#define FLD_ANAG_TIPOA 346
#define FLD_ANAG_TLEXRF 347
#define LST_AF1_SESSO 348
#define LST_AF3_CPARTRF 349
#define LST_AF3_STATCIV 350
#define LST_AF3_TITSTU 351
#define LST_AF4_EVECC 352
#define LST_AFIS_SESSO 353
#define LST_AG3_NATGIU 354
#define LST_AG3_SITSOC 355
#define LST_AG3_STATOSOC 356
#define LST_AG5_EVECC 357
#define LST_AGIU2_NATGIU 358
#define LST_AGIU2_SITSOC 359
#define LST_AGIU_NATGIU 360
#define LST_AGIU_SITSOC 361
#define LST_ANAG2_EVECC 362
#define CHK_AG5_NONRES 363
#define LST_AGIU2_NATGIU_NONRES 372

#define FLD_AG1_COMRF_COMUNI_DENCOM 368
#define DLG_DITTE 369
#define FLD_ANAG_UTAGG 370
#define DLG_CHGTIP 371

#define F_CODCONTR_EP  380
#define F_CODCONTR_EC  381
#define F_CODCONTR     382
#define F_CODCONTR_CC  383
#define F_UFFREG       384
#define F_DENUFFREG    385
#define F_UFFCONC      386
#define F_DENUFFCONC   387
#define F_UFFSERV      388
#define F_DENUFFSERV   389
#define F_CC_ESATTORIA 390
#define F_IMP_CAPCOM   391
#define F_IMP_DENCOM   392
#define F_IMP_PROVCOM  393  
#define F_TITCF        394
#define F_TIPOSTDEL    395
#define F_CODABI       396
#define F_CODCAB       397
#define F_COMCOST      398
#define F_DENCOMCOST   399

#endif  // __BA4200_H
