#ifndef __CG3401_H
#define __CG3401_H

// cg3401.h
// TRigaiva_array 
// Tabella per il calcolo degli imponibili Iva

#include <array.h>
#include <real.h>
#include <strings.h>

struct TDociva : public TObject
{
  TString _descrdoc;
  real _totdociva;
  int _ndoc;

  TDociva(const char* _descrdociva, const real& _importo,const int _natdoc):_descrdoc(_descrdociva),_totdociva(_importo),_ndoc(_natdoc)
  {}
};

class TDociva_array : public TArray
{
public:
  bool add_riga(const char* _descrdociva,const real& _importo,const int _natdoc);
};

struct TRigaiva : public TObject
{
  real     _imponibile, _imposta, _imponibilep, _impostap;
  TString  _codiva;
  int      _tipodet;
  
  TRigaiva (const real& imponibile, const real& imposta, const char* codiva, int tipodet, const real& imponibilep, const real& impostap):
  _imponibile(imponibile),_imposta(imposta),_codiva(codiva),_tipodet(tipodet),_imponibilep(imponibilep),_impostap(impostap)
  {} 
};

class TRigaiva_array : public TArray
{
public:
  bool add_riga(const real& imponibile, const real& imposta, const char* codiva, const int tipodet, const real& imponibilep, const real& impostap); 
};

#endif








