#ifndef __STDTYPES_H
#define __STDTYPES_H

#ifndef XVT_INCL_OS
#include <xvt_os.h>
#endif


// @M
#define pure =0

#define FALSE 0
#define TRUE  1

#define HIDDEN static

#define EOL             -1
#define NOERR   0
// @END

// @T
typedef unsigned char UINT8;
#ifdef M_I386
typedef unsigned short UINT16;
#else
typedef unsigned int UINT16;
#endif
typedef unsigned long UINT32;

typedef char INT8;
#ifdef M_I386
typedef short INT16;
#else
typedef int INT16;
#endif
typedef long INT32;

typedef UINT8 bool;
typedef UINT16 word;
typedef UINT32 dword;
typedef UINT8 byte;

typedef UINT16 KEY;

#define UNDEFINED -32767

#undef _SVID

// @END


// @FPUB
void init_global_vars();
void free_global_vars();

extern void* operator new(unsigned);
extern void operator delete(void*);

// @END

#endif // __STDTYPES_H



