#ifndef __URLDEFID_H
#define __URLDEFID_H

#ifndef __DEFMASK_H
#include <defmask.h>
#endif

/* @M 
Identificatori (tag) per i menu' e le voci dei menu' ad uso di URL
*/
#define TASK_MENUBAR   10000
#define ALT_MENUBAR    11000 

#define MENU_BAR(i)     (10000+i)
#define BAR_ITEM(i)     (5000+100*i)
#define MENU_ITEM(i)    (30000+i)

#define MENU_FILE       1100
#define MENU_EDIT       1200
#define MENU_ALT_EDIT   1300

#define M_EDIT_INSERT   1201
#define M_EDIT_MODIFY   1202
#define M_EDIT_DELETE   1203
#define M_EDIT_SHOW     1204
#define M_EDIT_SEARCH   1205

#define M_EDIT_EDIT     1301

#if XVT_OS == XVT_OS_WIN

#define BMP_OK        101
#define BMP_CANCEL    102
#define BMP_SAVEREC   103
#define BMP_DELREC    104
#define BMP_NEWREC    105
#define BMP_SEARCH    109
#define BMP_CHECK_ON  110
#define BMP_CHECK_OFF 111
#define BMP_RADIO_ON  112
#define BMP_RADIO_OFF 113
#define BMP_QUIT      114
#define BMP_SELECT    115
#define BMP_EDIT      116
#define BMP_LINK      117
#define BMP_PRINT     118
#define BMP_FIRSTREC  121
#define BMP_PREVREC   122
#define BMP_STOPREC   123
#define BMP_NEXTREC   124
#define BMP_LASTREC   125
#define BMP_FINDREC   126
#define BMP_MODULE1   127
#define BMP_MODULE2   128
#define BMP_MODULE3   129
#define BMP_MODULE4   130
#define BMP_BOOK1     131
#define BMP_BOOK2     132
#define BMP_BOOK3     133
#define BMP_MODULE    134
#define BMP_SAVERECDN 153
#define BMP_DELRECDN  154
#define BMP_NEWRECDN  155
#define BMP_QUITDN    164
#endif


/* @END */
#endif // __URLDEFID_H
