#define MSK_1_SELECTED    101

#define MSK_23_LOGIC      101
#define MSK_23_PHYSIC     102
#define MSK_23_FILTER     103
#define MSK_23_TYPE       104
#define MSK_23_NORMAL     105
#define MSK_23_BOLD       106
#define MSK_23_ITALIC     107
#define MSK_23_UNDERLINED 108
#define MSK_23_NAMES      111
#define MSK_23_CODES      112

#define MSK_2_ADD        113

#define MSK_3_PREVIOUS   109
#define MSK_3_NEXT       110

#define MSK_4_MESSAGE     -1  // It is A Static Field!
#define MSK_4_CODE       101


#define MSK_1 "ba2300a.msk"
#define MSK_2 "ba2300b.msk"
#define MSK_3 "ba2300c.msk"
#define MSK_4 "ba2300d.msk"

#define FILE_PRINTERS  "prn.epf"
#define MSK_PRINTERS    prn.epf
#define MSK_NAMES       nms.epf
#define FILE_NAMES     "nms.epf"
#define FILE_DEF_NAMES "dnms.epf"
#define FILE_DEF_CODES "dcds.epf"
#define FILE_CODES     "cds.epf"

#ifdef __BA2300_CPP

#define EXTENSION       "ini"

#define OPEN TRUE
#define SAVE FALSE

#define NEW_FILE       14101
#define OPEN_FILE      14102
#define SAVE_FILE      14103
#define SAVE_FILE_AS   14104
#define QUIT_EPF       14105
#define INSERT_PRINTER 1201
#define MODIFY_PRINTER 1202
#define SHOW_PRINTER   1204
#define DELETE_PRINTER 1203

bool build_code_files       (FILE* iput, TFilename& outcdfile, TFilename& outnmfile, TString& printer);
void build_list_box         (FILE* names, TMask& mask, short field);
void build_list_file        (FILE* inputfile, TFilename& outputfile);
bool change_default_printer (TFilename& inputfilename, FILE* inputfile, TString& newdefprinter);
bool erase_file		    (TFilename& filename);
bool is_present             (FILE* inputfile, TString& printer);
void item2prname     	    (TString& item, TString& mame);
void place_codes_on_file    (FILE* names, FILE* codes, FILE* output);
bool seek_default_printer   (FILE* inputfile, TString& newprinter, long* position, bool justafter=TRUE);
bool seek_first_printer     (FILE* input, TString& printer, long* pos, bool justafter=TRUE);
bool seek_printer   	    (FILE* inputfile, TString& printer, long* position, bool justafter=TRUE);
bool seek_printer_no 	    (FILE* inputfile, int number, TString& printer, long* position, bool justafter=TRUE);

#endif

