#ifndef __BA4500_H
#define __BA4500_H

#define FN_CODULC "CODULC"	/* FLD_UL1_CODULC */
#define FN_CODANGRDS "CODANGRDS"	/* FLD_AT2_CODANGRDS */
#define FN_INDCS "INDCS"	/* FLD_ATT2_INDCS */
#define FN_CIVCS "CIVCS"	/* FLD_AT2_CIVCS */
#define FN_COMCS "COMCS"	/* FLD_AT2_COMCS */
#define FN_CAPCS "CAPCS"	/* FLD_AT2_CAPCS */
#define FN_PTELCS "PTELCS"	/* FLD_AT2_PTELCS */
#define FN_TELCS "TELCS"	/* FLD_AT2_TELCS */
#define FN_CODITTA "CODITTA"	/* FLD_AT1_CODITTA */
#define FN_PROGD "PROGD"	/* FLD_AT1_PROGD */
#define FN_CODATT "CODATT"	/* FLD_AT1_CODATT */
#define FN_OLDCODATT "OLDCODATT"	/* FLD_AT1_OLDCODATT */
#define FN_SUBCOD "SUBCOD"	/* FLD_AT1_SUBCOD */
#define FN_DATAISCIVA "DATAISCIVA"	/* FLD_AT1_DATAISCIVA */
#define FN_DATAVARIVA "DATAVARIVA"	/* FLD_AT1_DATAVARIVA */
#define FN_DCESSATT "DCESSATT"	/* FLD_ATT_DCESSATT */
#define FN_CODULIVA11 "CODULIVA11"	/* FLD_AT1_CODULIVA11 */
#define FN_NSOCILDIP "NSOCILDIP"	/* FLD_AT1_NSOCILDIP */
#define FN_GIATTANN "GIATTANN"	/* FLD_AT1_GIATTANN */
#define FN_GILAVASTAG "GILAVASTAG"	/* FLD_AT1_GILAVASTAG */
#define N_TIPOA  "TIPOA"
#define N_CODANAGR  "CODANAGR"
#define N_STATORF  "STATORF"
#define N_CODCOMRF  "COMRF"
#define N_INDRF  "INDRF"
#define N_CIVRF  "CIVRF"
#define N_CAPRF  "CAPRF"
#define N_STATORES  "STATORES"
#define N_CODCOMRES  "COMRES"
#define N_INDRES  "INDRES"
#define N_CIVRES  "CIVRES"
#define N_CAPRES  "CAPRES"
#define N_STATO  "STATO"
#define N_COM  "COM"
#define N_DENCOM  "DENCOM"
#define N_PROV  "PROVCOM"
#define LST_AT1_TIPOA 100
#define LST_ATT_TIPOA 101
#define FLD_AT1_CODDITTA 102
#define FLD_AT1_CODANAGR_ANAGR_RAGSOC 103
#define FLD_AT1_PROGD 104
#define FLD_AT1_PROGD_NDITTE_RAGSOC 105
#define FLD_AT1_CODATT 106
#define FLD_AT1_ATTCODATT_TABATT_DESCR 107
#define FLD_AT1_OLDCODATT 108
#define FLD_AT1_SUBCOD 109
#define FLD_AT1_OLDCODATT_OLDATT_DESCR 110
#define FLD_AT1_DATAISCIVA 111
#define FLD_AT1_DATAVARIVA 112
#define FLD_AT1_CODULIVA11 113
#define FLD_AT1_CODULIVA11_TABUFFIVA_DESCR 114
#define CHK_AT1_MEDCONV 115
#define CHK_AT1_ATTLAVDIP 116
#define CHK_AT1_REGAGR 117
#define CHK_AT1_ATTSCORTER 118
#define CHK_AT1_REG74TER 119
#define FLD_AT1_ART74_4 120
#define CHK_AT1_ATTSTAG 121
#define CHK_AT1_ESLUOGHID 122
#define FLD_AT1_NSOCILDIP 123
#define FLD_AT1_GIATTANN 124
#define FLD_AT1_GILAVASTAG 125
#define LST_AT1_TIPOATT 129
#define FLD_AT2_CODANGRDS 130
#define FLD_AT2_CODANGRDS_ANAGR_RAGSOC 131
#define LST_AT2_TIPOADS 132
#define FLD_AT2_ANAGR_DEP_IND 133
#define FLD_AT2_ANAGR_DEP_CIV 134
#define CHK_AT2_TSCRPARZ 135
#define FLD_AT2_PTELCS 136
#define FLD_AT2_TELCS 137
#define FLD_AT2_COMCS 138
#define FLD_AT2_COMUNI_DESCR 139
#define FLD_AT2_COMUNI_PROVCOM 140
#define FLD_AT2_CAPCS 141
#define FLD_AT2_CIVCS 142
#define FLD_AT2_DEP_ANAGR_COMUNI_DESCR 143
#define FLD_AT2_DEP_ANAGR_COMUNI_PROV 144
#define FLD_AT2_ANAGR_DEP_CAP 145
#define FLD_ATT2_CODANGRDS_ANAGR_RAGSOC 146
#define FLD_ATT_CODANAGR_ANAGR_RAGSOC 147
#define FLD_ATTCODATT_TABATT_DESCR 148
#define FLD_ATT_OLDCODATT_OLDATT_DESCR 149
#define FLD_ATT_CODULIVA11_TABUFFIVA_DESCR 150
#define CHK_ATT_REG74TER 151
#define FLD_ATT2_COMUNI_PROVCOM 152
#define FLD_ATT2_COMUNI_DESCR 153
#define FLD_ATT2_DEP_ANAGR_COMUNI_DESCR 154
#define FLD_ATT2_DEP_ANAGR_COMUNI_PROV 155
#define FLD_ATT2_ANAGR_DEP_IND 156
#define FLD_ATT2_ANAGR_DEP_CIV 157
#define FLD_ATT2_ANAGR_DEP_CAP 158
#define FLD_ATT2_CODANGRDS 159
#define LST_ATT2_TIPOADS 160
#define FLD_ATT2_INDCS 161
#define FLD_ATT2_CIVCS 162
#define FLD_ATT2_COMCS 163
#define FLD_ATT2_PTELCS 164
#define FLD_ATT2_TELCS 165
#define CHK_ATT2_TSCRPARZ 166
#define LST_ATT2_TIPOATT 167
#define BUT_PREC 168
#define FLD_ATT_NDITTE_RAGSOC 169
#define FLD_ATT_ANAGR_RAGSOC 170
#define FLD_ATT_TIPOA 171
#define FLD_ATT_CODANAGR 172
#define FLD_ATT_PROGD 173
#define FLD_ATT_SUBCOD 174
#define FLD_ATT_DATAISCIVA 175
#define FLD_ATT_DATAVARIVA 176
#define FLD_ATT_DCESSATT 177
#define FLD_ATT_CODULIVA11 178
#define FLD_ATT_TABUFFIVA_DESCR 179
#define CHK_ATT_MEDCONV 180
#define FLD_ATT_REG74TER 181
#define FLD_ATT_NSOCILDIP 182
#define FLD_ATT_GILAVASTAG 183
#define FLD_ATT_GIATTANN 184
#define FLD_ARTT_GILAVASTAG 185
#define CHK_ATT_ATTLAVDIP 186
#define FLD_ATT_ART74_4 187
#define CHK_ATT_REGAGR 188
#define CHK_ATT_ATTSTAG 189
#define CHK_ATT_ATTSCORTER 190
#define CHK_ATT_ESLUOGHID 191
#define BUT_ATT_PREC 192
#define FLD_ATT2_ANAGR_RAGSOC 193
#define FLD_ATT_TABATT_DESCR 194
#define FLD_ATT_OLDATT_DESCR 195
#define FLD_ATT_CODATT 196
#define FLD_ATT_OLDCODATT 197
#define FLD_AT1_CODDITTAH 198
#define FLD_AT1_CODATTH 199

#endif // __BA4500_H
