 include include.mak

(%.o):   %.cpp  
	$(CPLUSCOMP) $(CFLAGS) $(<:.cpp= ) $*
	$(LIBINSERT) $*.o

$(EP)%.msk: %.uml
	$(MCOMP) $(basename $<) $(basename $@)

.PRECIOUS:      $(LIB)

lib: $(LIB) masks
	$(UPDLIB) $(LIB) $(TMPF)

$(LIB): $(LIB)(applicat.o) $(LIB)(array.o)\
 $(LIB)(brwapp.o)\
 $(LIB)(checks.o)\
 $(LIB)(date.o)\
 $(LIB)(expr.o) $(LIB)(execp.o)\
 $(LIB)(files.o) $(LIB)(form.o)\
 $(LIB)(isam.o)\
 $(LIB)(mask.o) $(LIB)(maskfld.o) $(LIB)(mailbox.o)\
 $(LIB)(msksheet.o)\
 $(LIB)(object.o)\
 $(LIB)(printer.o) $(LIB)(printapp.o) $(LIB)(progind.o)\
 $(LIB)(prefix.o) $(LIB)(printwin.o)\
 $(LIB)(relation.o) $(LIB)(real.o)\
 $(LIB)(relapp.o)\
 $(LIB)(sheet.o) $(LIB)(sort.o) $(LIB)(scanner.o)\
 $(LIB)(stack.o) $(LIB)(stdtypes.o)\
 $(LIB)(stack.o) $(LIB)(strings.o)\
 $(LIB)(tabutil.o)\
 $(LIB)(utility.o)\
 $(LIB)(validate.o)\
 $(LIB)(xvtility.o)\
 $(LIB)(window.o) $(LIB)(assoc.o) $(LIB)(config.o)\
 $(LIB)(confapp.o) $(LIB)(text.o) $(LIB)(viswin.o)


$(LIB)(applicat.o):     applicat.cpp $(I6) $(I24) $(I32) $(I43) $(I44) $(I5) $(I12) $(I56)

$(LIB)(array.o):        array.cpp $(I13)

$(LIB)(brwapp.o):       brwapp.cpp $(I31) $(I34) $(I47)

$(LIB)(checks.o):       checks.cpp $(I23) $(I1) $(I6) $(I24)

$(LIB)(date.o): date.cpp $(I7) $(I10) $(I6) $(I5)

$(LIB)(expr.o): expr.cpp $(I28) $(I21)

$(LIB)(execp.o): execp.cpp $(I47)

$(LIB)(files.o):        files.cpp $(I5) $(I10) $(I16) $(I28) $(I31)

$(LIB)(form.o):         form.cpp $(I24) $(I31) $(I33) $(I39) $(I40) $(I51)

$(LIB)(isam.o): isam.cpp $(I30) $(I6) $(I16) $(I1) $(I5) $(I37) $(I31)

$(LIB)(mask.o): mask.cpp $(I23) $(I43) $(I33) $(I17) $(I52)

$(LIB)(mailbox.o): mailbox.cpp $(I47)

$(LIB)(maskfld.o):     maskfld.cpp $(I23) $(I24) $(I31) $(I33) $(I39) $(I40) $(I43) $(I46) $(I47) $(I48) $(I43)

$(LIB)(msksheet.o):     $(I54) $(I31) msksheet.cpp 

$(LIB)(object.o):       object.cpp $(I9)

$(LIB)(prefix.o):       prefix.cpp $(I12) $(I16) $(I5) $(I31) $(I13)

$(LIB)(printer.o):      printer.cpp bagn001a.h $(I1) $(I2) $(I36) $(I24) $(I5) $(I48)

$(LIB)(printwin.o):     printwin.cpp  $(I60)

$(LIB)(printapp.o):     printapp.cpp $(I50) $(I31) $(I37) $(I43) $(I6)

$(LIB)(progind.o):      progind.cpp $(I37)  

$(LIB)(real.o): real.cpp $(I27)

$(LIB)(relation.o):     relation.cpp $(I15) $(I39) $(I28) $(I5) $(I42) $(I56) $(I6) $(I31)

$(LIB)(relapp.o):      relapp.cpp $(I23) $(I31) $(I39) $(I40) $(I43) $(I47) $(I53)

$(LIB)(scanner.o):      scanner.cpp $(I17)

$(LIB)(sheet.o):        sheet.cpp $(I19) $(I23) $(I40) $(I36)

$(LIB)(sort.o): sort.cpp $(I41) $(I5) $(I6)

$(LIB)(stack.o):        stack.cpp $(I21)

$(LIB)(stdtypes.o):     stdtypes.cpp $(I1) $(I5) $(I15) $(I3) $(I8) $(I12) $(I30) $(I31)

$(LIB)(strings.o):      strings.cpp $(I10) $(I23)

$(LIB)(tabutil.o):      tabutil.cpp $(I42) $(I5) $(I6) $(I31)

$(LIB)(utility.o):      utility.cpp $(I31) $(I10) $(I1) $(I31)

$(LIB)(validate.o):     validate.cpp $(I46) $(I7) $(I33) $(I28) $(I31) $(I15) $(I30) $(I24) nditte.h

$(LIB)(window.o):       window.cpp $(I23) $(I32) $(I52)

$(LIB)(xvtility.o):     xvtility.cpp $(I6) $(I23) $(I52)

$(LIB)(assoc.o):        assoc.cpp  $(I10) $(I13) $(I55)

$(LIB)(config.o): config.cpp  $(I17) $(I55) $(I56) $(I31)

$(LIB)(confapp.o): confapp.cpp $(I23) $(I24) $(I56) $(I57)

$(LIB)(text.o):  text.cpp $(I10) $(I13) $(I58)

$(LIB)(viswin.o): viswin.cpp $(I23) $(I6) $(I59) $(I31) $(I52) $(I56) \
	 $(I48)

masks:   $(EP)bagn001a.msk $(EP)bagn002.msk $(EP)bagn003.msk $(EP)bagn004.msk 

$(EP)bagn001a.msk: bagn001a.uml bagn001a.h 

$(EP)bagn002.msk: bagn002.uml bagn002.h 

$(EP)bagn003.msk: bagn003.uml bagn003.h 

$(EP)bagn004.msk: bagn004.uml bagn004.h 





